Page MenuHomePhabricator

Clean up usages of asserting vector getters in Type
ClosedPublic

Authored by ctetreau on Apr 1 2020, 4:55 PM.

Details

Summary

Remove usages of asserting vector getters in Type in preparation for the
VectorType refactor. The existence of these functions complicates the
refactor while adding little value.

Diff Detail

Event Timeline

ctetreau created this revision.Apr 1 2020, 4:55 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 1 2020, 4:55 PM
ctetreau updated this revision to Diff 254607.Apr 2 2020, 1:07 PM

update to mention that this is NFC

efriedma added inline comments.Apr 3 2020, 1:35 PM
llvm/lib/Target/AArch64/AArch64TargetTransformInfo.cpp
212

Please don't mix in semantic changes.

694

The assertion text isn't useful; just cast<>

912

The assertion text isn't useful; just cast<>

llvm/lib/Target/AArch64/AArch64TargetTransformInfo.h
182–183

dyn_cast

ctetreau updated this revision to Diff 254924.Apr 3 2020, 2:53 PM
ctetreau marked 3 inline comments as done.

address code review comments

ctetreau marked an inline comment as done.Apr 3 2020, 2:53 PM
efriedma accepted this revision.Apr 3 2020, 5:38 PM

LGTM

This revision is now accepted and ready to land.Apr 3 2020, 5:38 PM
This revision was automatically updated to reflect the committed changes.